Class Fox::FXSize

In: | ../lib/fox/core.rb
Parent: | Object

Size

Methods

* + - -@ / == clone new

External Aliases

initialize -> initializeWH

Public Class methods

new(*args)

Returns an initialized FXSize instance.

Public Instance methods

clone()

==(other)

Returns `true` if the width and height of the other size are equal to this size’s width and height.

-@()

+(other)

Returns a new size instance obtained by memberwise addition of the other size instance with this one.

-(other)

Returns a new size instance obtained by memberwise subtraction of the other size instance from this one.

*(value)

Returns a new size instance obtained by memberwise multiplication of the width and height by value.

/(value)

Returns a new size instance obtained by memberwise division of the width and height by value.